php_cputime.d(1m)

NAME
php_cputime.d - measure PHP on-CPU times for functions.

SYNOPSIS
php_cputime.d

DESCRIPTION
This traces PHP activity from all programs running on the system with PHP provider support. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Php provider, which may change as additional features are introduced. Check Php/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # php_cputime.d

FIELDS

FILE
    Filename of the PHP program

TYPE
    Type of call (func/total)

NAME
    Name of call (function name)

TOTAL
    Total on-CPU time for calls (us)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
php_cputime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)